\documentclass[aspectratio=169,xcolor=dvipsnames, 11pt]{beamer}

\usepackage{Styles/fluxmacros}
\usefolder{Styles}
\usetheme[style=blue]{flux}

\usepackage{graphicx}
\graphicspath{ {./Images} }

\usepackage{hyperref}
\usepackage{booktabs} 
\usepackage{media9}
\usepackage{pgffor}
\usepackage{amsmath}

\usepackage{layout}
\usepackage{printlen}
\uselengthunit{in}

\title{The Postdoc Problem}
\subtitle{with Reservation Costs}
\author{Christian Mürtz}
\institute{}
\date{\today}
\titlegraphic{}

\begin{document}

\titlepage

% \begin{frame}
%     \frametitle{Table of Contents}
%     \tableofcontents
% \end{frame}

\section{Introduction}

\begin{frame}
    \frametitle{Table of Contents}
    \tableofcontents
\end{frame}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% SECRETARY PROBLEM
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{frame}
    \Huge
    \centering
    The Secretary Problem
\end{frame}

\begin{frame}{The Secretary Problem}{n = 5}
    \vspace{-0.05in}
    \foreach \i [count=\count] in {00,01,02,03,04,05,06,07,08,09,10,11,12,13,14} {
        \only<\count>{
            \begin{center}
                \includemedia[
                    width=0.9\textwidth,
                    height=0.50625\textwidth,
                    keepaspectratio,
                    transparent,
                    activate=pageopen,
                    deactivate=pageclose,
                    addresource=Animations/Output/IntroductionSecretary_00\i.mp4,
                    flashvars={source=Animations/Output/IntroductionSecretary_00\i.mp4}
                ]{}{VPlayer.swf}
            \end{center}
            }
    }
\end{frame}

\addtocounter{framenumber}{1}
\foreach \n [count=\xi] in {5,10,50,100, 1000, 10000} {
    \begin{frame}[noframenumbering]{The Secretary Problem}
        \centering
        \framesubtitle{n = \n}
        \includegraphics[width=.7\linewidth]{../Images/Secretary_Optimal_Strategy/n\n-c1.pdf}
    \end{frame}
}
\begin{frame}[noframenumbering]{The Secretary Problem}
    \centering
    \framesubtitle{n $\to \infty$}
    \vspace{-.2in}
    \includegraphics[width=.7\linewidth]{../Images/Secretary_Optimal_Strategy/ninf-c1.pdf}
    \vspace{-.1in}
    \begin{block}{Optimal Strategy for $n \to \infty$ [Lindley, 1961]}
        Accept the first 1-candidate after the $n/e$-th candidate: $P(win) = 1/e$.
    \end{block}
\end{frame}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% SECRETARY PROBLEM WITH RESERVATIONS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{frame}
    \Huge
    \centering
    The Secretary Problem \\
    with Reservations
\end{frame}

% \begin{frame}{The Secretary Problem with Reservations}{c=0.2, n=5}
%     \centering
%     \vspace{-0.05in}
%     \foreach \i [count=\count] in {00,01,02,03,04,05,06,07,08} {
%         \only<\count>{
%             \begin{center}
%                 \includemedia[
%                     width=0.9\textwidth,
%                     height=0.50625\textwidth, 
%                     keepaspectratio,          % optionally useful
%                     transparent,              % optionally useful
%                     activate=pageopen,
%                     deactivate=pageclose,
%                     addresource=Animations/Output/IntroductionSecretaryReservations_00\i.mp4,
%                     flashvars={source=Animations/Output/IntroductionSecretaryReservations_00\i.mp4}
%                 ]{}{VPlayer.swf}
%             \end{center}
%         }
%     }
% \end{frame}

\begin{frame}{The Secretary Problem with Reservations}
    \begin{itemize}
        \item The \textit{reservation-per-item} model introduced by Burjons et al.
        \item Candidates can be reserved at reservation costs $c$
        \item Reserved candidates can be accepted at any later step
        \vspace{.2in}
        \item Payoff: $\left \{ \begin{array}{ll}
            1 - rc & \textit{on win} \\
            0 - rc & \textit{otherwise}
        \end{array} \right .$
    \end{itemize}
\end{frame}

\addtocounter{framenumber}{1}
% \foreach \n [count=\xi] in {5,10,50,100, 1000, 10000} {
%     \begin{frame}[noframenumbering]{The Secretary Problem with Reservations}{n=5}
%         \centering
%         \framesubtitle{c = 0.2, n = \n}
%         \includegraphics[width=.7\linewidth]{../Images/Secretary_Optimal_Strategy/n\n-c0.2.pdf}
%     \end{frame}
% }

\foreach \c [count=\xi] in {0.2, 0.1, 0.0} {
    \begin{frame}[noframenumbering]{The Secretary Problem with Reservations}{n=5}
        \centering
        \framesubtitle{c = \c, n $\to \infty$}
        \vspace{0in}
        \includegraphics[width=.7\linewidth]{../Images/Secretary_Optimal_Strategy/ninf-c\c.pdf}
        \vspace{-.2in}
        \begin{block}{Optimal Strategy $n \to \infty$ [Burjons et al., 2021]}
            \vspace{-0.1in}
            \[t_1 = cn \quad t_2 = ne^{\mathcal{W}_0(-c)}\]
        \end{block}
    \end{frame}
}
\begin{frame}[noframenumbering]{The Secretary Problem with Reservations}{n=5}
    \centering
    \framesubtitle{c = $1/e$, n $\to \infty$}
    \vspace{0in}
    \includegraphics[width=.7\linewidth]{../Images/Secretary_Optimal_Strategy/ninf-c0.37.pdf}
    \vspace{-.2in}
    \begin{block}{Optimal Strategy $n \to \infty$ [Burjons et al., 2021]}
        \vspace{-0.1in}
        \[t_1 = cn \quad t_2 = n\mathcal{W}(e^{-c})\]
    \end{block}
\end{frame}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% POSTDOC PROBLEM
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{frame}
    \Huge
    \centering
    The Postdoc Problem
\end{frame}

% \begin{frame}{The Postdoc Problem}
%     \begin{itemize}
%         \item Goal: Accept the second-best candidate
%     \end{itemize}
% \end{frame}

% \begin{frame}{The Postdoc Problem}{n=5}
%     \centering
%     \vspace{-0.05in}
%     \foreach \i [count=\count] in {00,01} {
%         \only<\count>{
%             \begin{center}
%                 \includemedia[
%                     width=0.9\textwidth,
%                     height=0.50625\textwidth, 
%                     keepaspectratio,          % optionally useful
%                     transparent,              % optionally useful
%                     activate=pageopen,
%                     deactivate=pageclose,
%                     addresource=Animations/Output/IntroductionPostdocProblem_00\i.mp4,
%                     flashvars={source=Animations/Output/IntroductionPostdocProblem_00\i.mp4}
%                 ]{}{VPlayer.swf}
%             \end{center}
%         }
%     }
% \end{frame}

\addtocounter{framenumber}{1}
% \foreach \n [count=\xi] in {5,10,50,100, 1000} {
%     \begin{frame}[noframenumbering]{The Postdoc Problem}
%         \centering
%         \framesubtitle{n = \n}
%         \includegraphics[width=.7\linewidth]{../Images/Postdoc_Optimal_Strategy/n\n-c1.pdf}
%     \end{frame}
% }

\begin{frame}[noframenumbering]{The Postdoc Problem}{n=5}
    \centering
    \framesubtitle{n $\to \infty$}
    \vspace{-.2in}
    \includegraphics[width=.7\linewidth]{../Images/Postdoc_Optimal_Strategy/ninf-c1.pdf}
    \vspace{-.1in}
    \begin{block}{Optimal Strategy for $n \to \infty$ [Vanderbei, 2011]}
        Accept the first 2-candidate after the $\lceil n/2 \rceil$-th candidate: $P(win) = 1/4$.
    \end{block}
\end{frame}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% POSTDOC PROBLEM WITH RESERVATIONS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{frame}
    \Huge
    \centering
    The Postdoc Problem \\
    with Reservations
\end{frame}

% \begin{frame}{The Postdoc Problem with Reservations}
%     \centering
%     \vspace{-0.05in}
%     \foreach \i [count=\count] in {00,01} {
%         \only<\count>{
%             \begin{center}
%                 \includemedia[
%                     width=0.9\textwidth,
%                     height=0.50625\textwidth, 
%                     keepaspectratio,          % optionally useful
%                     transparent,              % optionally useful
%                     activate=pageopen,
%                     deactivate=pageclose,
%                     addresource=Animations/Output/IntroductionPostdocReservationsProblem_00\i.mp4,
%                     flashvars={source=Animations/Output/IntroductionPostdocReservationsProblem_00\i.mp4}
%                 ]{}{VPlayer.swf}
%             \end{center}
%         }
%     }
% \end{frame}

\begin{frame}{The Postdoc Problem with Reservations}    
    \centering
    \Huge{???}
    \pause
    \Huge{\\$\rightarrow$ My thesis}
\end{frame}

\addtocounter{framenumber}{1}
\foreach \n [count=\xi] in {5,10,50,100, 1000} {
    \begin{frame}[noframenumbering]{The Postdoc Problem with Reservations}
        \centering
        \framesubtitle{c = 0.2, n = \n}
        \includegraphics[width=\linewidth]{../Images/Postdoc_Optimal_Strategy/n\n-c0.2.pdf}
    \end{frame}
}


\foreach \c [count=\xi] in {0.2, 0.1, 0.0, 0.25} {
    \begin{frame}[noframenumbering]{The Postdoc Problem with Reservations}
        \centering
        \framesubtitle{c = \c, n $\to \infty$}
        \includegraphics[width=\linewidth]{../Images/Postdoc_Optimal_Strategy/ninf-c\c.pdf}
    \end{frame}
}


\section{Calculating the Optimal Strategy}

\begin{frame}
    \frametitle{Table of Contents}
    \tableofcontents
\end{frame}

\begin{frame}[noframenumbering]
    \frametitle{Table of Contents}
    \tableofcontents[currentsection]
\end{frame}

\begin{frame}{What Is the Best Decision?}
    \centering

    \begin{block}{Observation}
        All non 1- and 2-candidates should be rejected.
    \end{block}

    \vspace{.3in}

    \pause
    
    \raggedright
    For 1- and 2-candidates the questions are: 
    \begin{itemize}
        \item[1.] What is the expected gain when accepting?
        \item[2.] What is the expected gain after reserving / rejecting?
    \end{itemize}
\end{frame}

% \begin{frame}{What is the rank of the next candidate?}

%     \begin{block}{Observation}
%         Each possible rank of the next candidate is equally likely.
%     \end{block}

%     \begin{block}{Bijection between rank sequences and quality sequences}
%         \centering
%         \vspace{-.4in}
%         \Large
%         \[ (4,1,3,5,2) \]
%         \vspace{-.3in}
%         \[\updownarrow\]
%         \vspace{-.2in}
%         \[ (1,1,2,3,2) \]
%         \vspace{-.3in}
%     \end{block}
    
%     \normalsize
%     \raggedright

%     \begin{itemize}
%         \item Each ordering of the candidates is equally likely: $\pi \in S_n$
%         \item Each permutation $\pi \in S_n$ maps to exactly one rank sequence $\pi' \in [1]\times[3]\times ... \times [n]$
%     \end{itemize}
% \end{frame}

% \begin{frame}{Probability to win with a 2-candidate}
%     \centering

%     If the $k$-th candidate is a 2-candidate, \\what is the probability that we win with this candidate?

%     \vspace{.4in}

%     \Large

%     $g_k = \frac{k-1}{k+1} \cdot \frac{k}{k+2} \cdot \frac{k + 1}{k+3} \; \cdot\cdot\cdot \; \frac{n-3}{n-1} \cdot \frac{n-2}{n}  = \frac{(k-1)k}{(n-1)n}$
% \end{frame}


% \begin{frame}{Probability to win with a 2-candidate}
%     \framesubtitle{$n=1000$}
%     \begin{columns}
%         \begin{column}{0.5\textwidth} 
%             \begin{center}
%              \includegraphics[width=.9\textwidth]{../Thesis/Images/G_K.pdf}
%              $g_k = \frac{k(k-1)}{n(n-1)}$
%              \end{center}
%         \end{column}
%         \begin{column}{0.5\textwidth}
        
%         \end{column}
%     \end{columns}    
% \end{frame}

% \begin{frame}{Probability to win with a 1-candidate}
%     \centering

%     What is the probability that the best candidate of the first $k$ candidates, \\ will end up being the second-best overall?

%     \large

%     \vspace{.2in}

%     $f_n = 0 \quad \quad f_k = \frac{k}{k+1} f_{k+1} + \frac{1}{k+1} g_{k+1}$

%     \vspace{.2in}

%     $f'_k = \frac{f_k}{k} = \frac{f_{k+1}}{k+1} + \frac{1}{n(n-1)} = f'_{k+1} + \frac{1}{n(n-1)} $ 

%     \vspace{.2in}

%     $f'_k = \frac{n-k}{n(n-1)} \Rightarrow f_k = \frac{k(n-k)}{n(n-1)}$ 
% \end{frame}

\begin{frame}{Probability to Win with Accepting}
    \framesubtitle{n = 1000}
    \begin{columns}
        \begin{column}{0.5\textwidth} 
            \begin{center}
            \vspace{-0.1in}
            Winning with a 2-candidate
             \includegraphics[width=.9\textwidth]{G_K/n1000.pdf}
             $g_k = \frac{k(k-1)}{n(n-1)}$
             \end{center}
        \end{column}
        \pause
        \begin{column}{0.5\textwidth}
            \begin{center}
            \vspace{-0.1in}
            Winning with a 1-candidate
             \includegraphics[width=.9\textwidth]{F_K/n1000.pdf}
             $f_k = \frac{k(n-k)}{n(n-1)}$
             \end{center}
        \end{column}
    \end{columns}    
\end{frame}

% \addtocounter{framenumber}{1}
% \foreach \n [count=\xi] in {100,50,10} {
%     \begin{frame}[noframenumbering]{Probability to Win through Accepting}
%         \framesubtitle{n = \n}
%         \begin{columns}
%             \begin{column}{0.5\textwidth} 
%                 \begin{center}
%                 \vspace{-0.1in}
%                 Winning with a 2-candidate
%                 \includegraphics[width=.9\textwidth]{G_K/n\n.pdf}
%                 $g_k = \frac{k(k-1)}{n(n-1)}$
%                 \end{center}
%             \end{column}
%             \begin{column}{0.5\textwidth}
%                 \begin{center}
%                 \vspace{-0.1in}
%                 Winning with a 1-candidate
%                 \includegraphics[width=.9\textwidth]{F_K/n\n.pdf}
%                 $f_k = \frac{k(n-k)}{n(n-1)}$
%                 \end{center}
%             \end{column}
%         \end{columns}    
%     \end{frame}
% }


\begin{frame}{The Expected Gain in Different States}
    \begin{itemize}
        \item We have seen all $n$ candidates and have not yet accepted
        \item We have reserved $r$ of them
        \item We have $b = 1$ if we have the best candidate reserved, otherwise $b=0$
        \item We have $s = 1$ if we have the second-best candidate reserved, otherwise $s=0$

        \vspace*{.2in}

        \begin{block}{The expected gain after having seen all candidates}
            \[ E(n,r,b,s) = s - rc \]
        \end{block}
    \end{itemize}
\end{frame}

\begin{frame}{The Expected Gain in Different States}
    % \begin{block}{The expected gain after having seen all candidates}
    %     \[ E(n,r,b,s) = s - rc \]
    % \end{block}

    \begin{itemize}
        \item We have seen $k$ of the candidates so far and have not yet accepted
    \end{itemize}

    \vspace{.1in}

    \begin{block}{The expected gain before having seen all candidates}
        \vspace*{-.1in}
        \begin{flalign*}
            E(k,r,b,s) =& \frac{k-1}{k+1} E(k+1, r, b, s) &&\\
                        &+ \frac{1}{k+1} \max (E(k+1,r,0,b), \; f_{k+1}-rc, \;  E(k+1, r+1, 1, b)) && \leftarrow \textit{1-candidate}\\
                        &+ \frac{1}{k+1} \max (\underbrace{E(k+1,r,b,0)}_{reject}, \; \underbrace{g_{k+1}-rc}_{accept}, \;  \underbrace{E(k+1, r+1, b, 1)}_{reserve})  && \leftarrow \textit{2-candidate}
        \end{flalign*}
    \end{block}
\end{frame}

\begin{frame}{The Expected Gain in Different States}
    \begin{block}{Base case}
        \[ E(n,r,b,s) = s - rc \]
    \end{block}

    \begin{block}{Recursive case}
        \vspace*{-.1in}
        \begin{flalign*}
            E(k,r,b,s) =& \frac{k-1}{k+1} E(k+1, r, b, s) \\
                        &+ \frac{1}{k+1} \max (E(k+1,r,0,b), \; f_{k+1}-rc, \;  E(k+1, r+1, 1, b)) \\
                        &+ \frac{1}{k+1} \max (E(k+1,r,b,0), \; g_{k+1}-rc, \;  E(k+1, r+1, b, 1)) 
        \end{flalign*}
    \end{block}
\end{frame}

\begin{frame}{Offset Expected Gain}
    \Large
    \[ E(k,r,b,s) = E(k,b,s) - rc \]

    \vspace{.2in}

    \normalsize

    \begin{block}{Offset Expected Gain}
        \vspace{-.3in}
        \begin{flalign*}
            E(n,b,s) =& \; s \\
            E(k,b,s) =& \; \frac{k-1}{k+1} E(k+1, b, s) \\
                        &+ \frac{1}{k+1} \max (E(k+1,0,b), \; f_{k+1}, \;  E(k+1, 1, b) - c) \\
                        &+ \frac{1}{k+1} \max (E(k+1,b,0), \; g_{k+1}, \;  E(k+1, b, 1) - c) 
        \end{flalign*}
    \end{block}
\end{frame}

\begin{frame}{So What Is the Optimal Decision?}
    \begin{block}{Optimal Decision}
        Take the decision that maximizes the expected gain.
    \end{block}

    \begin{block}{1-candidates}
        \vspace{-0.1in}
        \[ \max (E(k+1,0,b), \; f_{k+1}, \;  E(k+1, 1, b) - c) \]
    \end{block}

    \begin{block}{2-candidates}
        \vspace{-0.1in}
        \[ \max (E(k+1,b,0), \; g_{k+1}, \;  E(k+1, b, 1) - c) \]
    \end{block}

    \centering
\end{frame}

\begin{frame}{Optimal Strategy}{c=0.2, n=10000}
    \includegraphics{../Images/Postdoc_Optimal_Strategy/n10000-c0.2.pdf}
\end{frame}

\begin{frame}{Optimal Strategy}{c=0.25, n=10000}
    \includegraphics{../Images/Postdoc_Optimal_Strategy/n10000-c0.26.pdf}
\end{frame}

\section{Analysis of the Optimal Strategy}

\begin{frame}
    \frametitle{Table of Contents}
    \tableofcontents[currentsection]
\end{frame}

\begin{frame}{The Classical Case}
    \begin{columns}[t]
        \begin{column}{0.5\textwidth} 
            \begin{theorem}
                For $c \geq f_{k_0}$, the classic strategy is optimal.
            \end{theorem}
        
            \begin{itemize}
                \item $f_{k_0}$ approaches $1/4$ as the number of candidates goes to infinity
            \end{itemize}
        \end{column}
        \begin{column}{0.5\textwidth}
            \begin{center}
            \includegraphics[width=.9\textwidth]{F_K_G_K.pdf}
            \end{center}
        \end{column}
    \end{columns}   
\end{frame}

\begin{frame}{Rejecting 1-candidates}{$c \geq f_{k_0}$}
    \begin{columns}[onlytextwidth,t]
        \begin{column}{0.5\textwidth} 
            \begin{theorem}
                Rejecting 1-candidates is optimal.
            \end{theorem}
            \begin{itemize}
                \item The candidate is the winning candidate with probability $f_k \leq f_{k_0}$
                \item The reservation cost is higher than that \\
                $\Rightarrow$ Reservation does not make sense
                \item Accepting the next 2-candidate wins with probability $f_k$
            \end{itemize}
    
        \end{column}
        \begin{column}{0.5\textwidth}
            \begin{center}
            \includegraphics[width=.9\textwidth]{F_K_G_K.pdf}
            \end{center}
        \end{column}
    \end{columns}   
\end{frame}

\begin{frame}{Accepting 2-candidates}{$c \geq f_{k_0}$}
    \begin{columns}[onlytextwidth, t]
        \begin{column}{0.5\textwidth} 
            \begin{theorem}
                Accepting 2-candidates at $k > k_0$ is optimal.
            \end{theorem}
            \begin{itemize}
                \item Proof by backward induction
                \item Accepting the last candidate is obviously optimal 
                \item Reserve: $g_k + f_k - c \leq g_k + f_{k_0} - c \leq g_k$
                \item Reject: $f_k \leq g_k$ 
            \end{itemize}
        \end{column}
        \begin{column}{0.5\textwidth}
            \begin{center}
            \includegraphics[width=.9\textwidth]{F_K_G_K.pdf}
            \end{center}
        \end{column}
    \end{columns}   
\end{frame}

\begin{frame}{Rejecting 2-candidates}{$c \geq f_{k_0}$}
    \begin{columns}[onlytextwidth, t]
        \begin{column}{0.5\textwidth} 
            \begin{theorem}
                Rejecting 2-candidates at $k \leq k_0$ is optimal.
            \end{theorem}
            \begin{itemize}
                \item Reserve: \[g_k - c \leq 0\]
                \item Accept: \[g_k \leq f_k\]
            \end{itemize}
        \end{column}
        \begin{column}{0.5\textwidth}
            \begin{center}
            \includegraphics[width=.9\textwidth]{F_K_G_K.pdf}
            \end{center}
        \end{column}
    \end{columns}   
\end{frame}

\begin{frame}{Optimal Strategy}{$c \geq f_{k_0}$}
    \begin{theorem}
        Rejecting 1-candidates is optimal.
    \end{theorem}
    \begin{theorem}
        Accepting 2-candidates at $k > k_0$ is optimal.
    \end{theorem}
    \begin{theorem}
        Rejecting 2-candidates at $k \leq k_0$ is optimal.
    \end{theorem}
\end{frame}

% \begin{frame}{Optimal Strategy}
%     \centering
%     \framesubtitle{n $\to \infty$}
%     \vspace{-.2in}
%     \includegraphics[width=.7\linewidth]{../Images/Postdoc_Optimal_Strategy/ninf-c1.pdf}
%     \vspace{-.1in}
%     \begin{block}{Optimal Strategy $n \to \infty$}
%         Accept the first 2-candidate after the $n/2$-th candidate: $P(win) = 1/4$.
%     \end{block}
% \end{frame}

% \section{Structure of the Optimal Strategy}

% \begin{frame}
%     \frametitle{Table of Contents}
%     \tableofcontents[currentsection]
% \end{frame}

\begin{frame}{Structure of the Optimal Strategy}{$t_1 \leq ... \leq t_5$, \quad $c < f_{k_0}$}
    \includegraphics[width=\linewidth]{Postdoc_Optimal_Strategy/ninf-c0.2.pdf}
\end{frame}

\begin{frame}{The Thresholds $t_2$ and $t_4$}{$c < f_{k_0}$}
    \begin{block}{Threshold $t_2$}
        \[ t_2 = \left \lceil \frac{1}{2} + \sqrt{\frac{1}{4} + cn(n-1)} \right \rceil\]
    \end{block}

    \begin{block}{Threshold $t_4$}
        \[ t_4 = \left \lceil \frac{n}{2} + \sqrt{\frac{n^2}{4} + cn(n-1)} \right \rceil\]
    \end{block}
\end{frame}


\begin{frame}{The Threshold $t_5$}{$c < f_{k_0}$}
    \begin{block}{Threshold $t_5$}
        \[ t_5 = \max \{ k \in \mathbb{N} \mid f_k + g_k(H_{n-2} - H_{k-2}) > c\} + 1\]
        \vspace*{.0in}
    \end{block}

    \begin{block}{Thresholds $t_1$ and $t_3$}
        \centering
        \vspace*{.1in}
        Only existence proven?!
        \vspace*{.1in}
    \end{block}
\end{frame}

\begin{frame}{Structure of the Optimal Strategy}{$t_1 \leq ... \leq t_5$, \quad $c < f_{k_0}$}
    \includegraphics[width=\linewidth]{Postdoc_Optimal_Strategy/ninf-c0.2.pdf}
\end{frame}


% \begin{frame}{Rejecting 2-candidates before $t_2$ is optimal}
    
% \end{frame}

% \begin{frame}{Rejecting 1-candidates after $t_3$ is optimal}
    
% \end{frame}

% \section{Getting Rid of the Recursion}

% \begin{frame}
%     \frametitle{Table of Contents}
%     \tableofcontents[currentsection]
% \end{frame}

\begin{frame}{The Phase $t_3-1 \leq k < t_4-1$}{$c < f_{k_0}$}
    \begin{block}{Before Simplification}
        \vspace{-0.2in}
        \begin{flalign*}
            E(k,0,0) =& \frac{k-1}{k+1} E(k+1, 0, 0) \\
                        &+ \frac{1}{k+1} \max (E(k+1,0,0), \; f_{k+1}, \;  E(k+1, 1, 0) - c ) \\
                        &+ \frac{1}{k+1} \max (E(k+1,0,0), \; g_{k+1}, \;  E(k+1, 0, 1) - c ) 
        \end{flalign*}
    \end{block}

    \begin{block}{After Simplification}
        \vspace{-0.1in}
        \[E(k,0,0) = \frac{k}{k+1} E(k+1,0,0) + \frac{g_{k+1}}{k+1}\]
        \vspace{-0.1in}
    \end{block}
\end{frame}

\begin{frame}{Technique}
    \centering
    \vspace{-0.2in}
    \[\textit{For } a < k < b \textit{ we have } F(k) = \frac{k}{k+1} F(k+1) + f(k)\]
    \pause
    \[ \textit{Let } F'(k) = \frac{F(k)}{k} \]
    \pause
    $\Downarrow$
    \[ F'(k) = \frac{F(k+1)}{k+1} + \frac{f(k)}{k} = F'(k+1) + \frac{f(k)}{k}  \]
    \pause
    $\Downarrow$
    \[ F'(k) = F'(b) + \sum_{i=k}^{b-1} \frac{f(i)}{i} \Rightarrow F(k) = k \frac{F(b)}{b} + k \sum_{i=k}^{b-1} \frac{f(i)}{i}\]
\end{frame}

\begin{frame}{The Phase $t_3-1 \leq k < t_4-1$}{$c < f_{k_0}$}
    \begin{block}{Recursive}
        \vspace{-0.1in}
        \[E(k,0,0) = \frac{k}{k+1} E(k+1,0,0) + \frac{g_{k+1}}{k+1} \]
    \end{block}

    \begin{block}{Non-recursive}
        \[ E(k,0,0) = f_{t_4-1} + \frac{g_{t_4-1} - g_k}{2} - c(H_{t_4-1} - H_k)\]
    \end{block}
\end{frame}

% \begin{frame}{The phase $k \geq t_5$}
%     \begin{block}{Recursive Form}
%         \vspace{-0.1in}
%         \[E(k,0,0) = \frac{k-1}{k+1} E(k+1,0,0) + \frac{1}{k+1} f_{k+1} + \frac{1}{k+1} g_{k+1}\]
%         \vspace{-0.1in}
%     \end{block}
%     \centering
%     \vspace{.3in}
%     \begin{block}{Closed Form}
%         \vspace{-0.1in}
%         \[ E(k,0,0) = \frac{1}{n} \sum_{i=k}^n \frac{1}{i(i-1)} = \frac{k(n-k)}{n(n-1)} = f_k\]
%         \vspace{-0.1in}
%     \end{block}
% \end{frame}

\begin{frame}{Some more Impressions}{$c < f_{k_0}$}
    \begin{block}{$t_3-1 \leq k \leq t_4-1 =: t'$}
        \vspace*{-.2in}
        \begin{flalign*}
            E(k,0,0) =& f_{t_4-1} +g_{t_4-1} - g_k - c(H_{t_4-1} - H_k) && \\
            E(k,1,0) =& k\frac{E(t',1,0)+c}{t'}+\frac{(2n+3k-t_4)(t'-k)}{2n(n-1)}
            -c - ck \sum\limits_{i=k}^{t'-1}\frac{H_{t'} - H_{i+1}}{i(i+1)} &&
        \end{flalign*}
        \vspace*{-.2in}
    \end{block}


    \begin{block}{$t_1-1 \leq k \leq t_2-1 =: t'$}
        \vspace*{-.2in}
        \begin{flalign*}
         E(k, 0, 0) =& \frac{kE(t',0,0)}{t'} + \frac{t'-k}{t'}(E(t', 1, 0) - c + \frac{g_{t'}}{2})
                - \frac{k(t'-k)}{2n(n-1)}
                - ck \sum\limits_{i = k}^{t'-1}\frac{H_{t'} - H_{i+1}}{i(i+1)} &&\\
         E(k, 1, 0) =& E(t', 1, 0) + \frac{t'(t'-1) - k(k-1)}{2n(n-1)} - c(H_{t_2-1} - H_{k}) &&
        \end{flalign*}
        \vspace*{-.2in}
    \end{block}
\end{frame}


% \section{Extending into Infinity}

% \begin{frame}
%     \frametitle{Table of Contents}
%     \tableofcontents[currentsection]
% \end{frame}

\addtocounter{framenumber}{1}
\foreach \n [count=\xi] in {25,30,35,40,45,50,100,200,300,500,1000} {
    \begin{frame}[noframenumbering]{Expected Gain to Infinity}
        \centering
        \framesubtitle{c = 0.2, n = \n}
        \includegraphics{Expected_Gain_Limit/n\n-c0.20.pdf}
    \end{frame}
}
% \begin{frame}[noframenumbering]{Expected Gain to Infinity}
%     \centering
%     \framesubtitle{c = 0.2, n = 1000}
%     \includegraphics{Expected_Gain_Limit/n1000-c0.20-zoom.pdf}
% \end{frame}

\begin{frame}{Limit}

    \Huge
    \centering

    \vspace{-0.2in}
    \[ E_n(\lceil rn \rceil , b , s) \overset{n}{\rightrightarrows} E(r,b,s)\]
\end{frame}

% \begin{frame}{Example}
%     \begin{block}{The phase $t_3 -1 \leq k < t_4-1$}
%         \[ E(k, 0, 0) = f_{t_4-1} + \frac{g_{t_4-1} - g_k}{2} - c(H_{t_4-1}-H_{k}) \]
    
%         \[ E(k, 1, 0) = k\frac{E(t_4-1,1,0)+c}{t_4-1}+\frac{(2n+3k-t_4)(t_4-1-k)}{2n(n-1)}
%         -c - ck \sum\limits_{i=k}^{t_4-2}\frac{H_{t_4-1} - H_{i+1}}{i(i+1)} \]
%     \end{block}
% \end{frame}

% \begin{frame}{Expected Gain to Infinity}
%     \centering
%     \framesubtitle{c = 0.2, n = 1000}
%     \includegraphics{Expected_Gain_Limit/n1000-c0.20-s1-zoom.pdf}
% \end{frame}
% \begin{frame}[noframenumbering]{Expected Gain to Infinity}
%     \centering
%     \framesubtitle{c = 0.2, n = 1000}
%     \includegraphics{Expected_Gain_Limit/n1000-c0.20-s1.pdf}
% \end{frame}



% \addtocounter{framenumber}{1}
% \foreach \n [count=\xi] in {10,20,30,50,100,200, 500} {
%     \begin{frame}[noframenumbering]{Expected Gain Uniform Limit}{n=5}
%         \centering
%         \framesubtitle{n = \n}
%         \includegraphics{Uniform_Limit/n\n-c0.2.pdf}
%     \end{frame}
% }


\begin{frame}{Limits}
    \centering
    \vspace{-0.1in}
    $a > 0$
    \vspace{0.1in}
    \begin{block}{Harmonic to Logarithm}
        \[ H_{r_4n} - H_{rn} = p_n(r) \overset{n}{\rightrightarrows}  p(r) = \ln (\frac{r_4}{r}) \textit{ on } [a,1] \]
    \end{block}

    \begin{block}{Sum to Closed Form}
        \[ \lceil an \rceil \sum\limits_{i=\lceil rn \rceil}^{r_4n}\frac{H_{\lceil bn \rceil} - H_{i}}{i(i+1)} = p_n(r) \overset{n}{\rightrightarrows} p(r) = \ln(\frac{r}{r_4}) + \frac{r_4}{r} - 1  \textit{ on } [a,1]  \]
    \end{block}
\end{frame}

\begin{frame}{Example}
    \begin{block}{Limits}
        \[E(r,0,0) = r_4 - r_4^2 + \frac{r_4^2-r^2}{2} - c \ln(\frac{r_4}{r})\]
        \vspace{.1in}
        \[E(r,1,0) = \frac{r_4^2+2rr_4-3r^2}{2} + \frac{r}{r_4} (E(r_4, 1, 0)-c) + c (1- \ln(\frac{r_4}{r}))\]
    \end{block}

    % \begin{block}{Result}
    %     \[r_3 = -\frac{p}{2} + \sqrt{\frac{p}{4}^2 - c}, \,\, p = 1-\frac{\lim_{n \to \infty}E_n(t_4^n-1, 1, 0)}{r_4}- 2r_4 \]
    % \end{block}
\end{frame}

\begin{frame}{Expected Gain to Infinity}
    \centering
    \framesubtitle{c = 0.2, n $\to \infty$}
    \vspace{-.1in}
    \includegraphics[width=\textwidth]{Uniform_Limit.pdf}
    \vspace{.1in}
\end{frame}

\begin{frame}{Difference}
    \centering
    \framesubtitle{c = 0.2, $n \to \infty$}
    \includegraphics[width=\textwidth]{Expected_Gain_Limit/parabola.pdf}
    \[ p(r) = -r^2 + r \left (\ln(\frac{r_5}{r_4})  - \frac{2c}{r_4}+\frac{2c}{r_5} +  r_5 \right ) - c\]
\end{frame}

\begin{frame}{Results}
    \vspace{.15in}
    \begin{columns}[onlytextwidth]
        \begin{column}{0.5\textwidth} 
            \centering
            Limit of the Thresholds
            \includegraphics[width=\linewidth]{THRESHOLD_LIMITS.pdf}
        \end{column}
        \begin{column}{0.5\textwidth}
            \centering
            Limit of the Expected Gain
            \includegraphics[width=\linewidth]{GAIN_LIMIT.pdf}
        \end{column}
    \end{columns}   
    
\end{frame}
\section{Related Problems}

\begin{frame}
    \frametitle{Table of Contents}
    \tableofcontents[currentsection]
\end{frame}

% \begin{frame}
%     \Huge \centering
%     The Best or Worst Problem
% \end{frame}

\begin{frame}{The Best or Worst Problem}
    \centering
    \includegraphics[width=\textwidth]{BOW_OPTIMAL_STRATEGY_STRUCTURE.pdf}
\end{frame}

% \begin{frame}{Trick (II)}
%     \centering
%     \vspace{-0.2in}
%     \[F(k) = \frac{k-1}{k+1} F(k+1) + f(k)\]
%     \pause
%     $\Downarrow$
%     \[ F'(k) = \frac{F(k)}{k(k-1)} \]
%     \pause
%     $\Downarrow$
%     \[ F'(k) = \frac{F(k+1)}{(k+1)k} + \frac{f(k)}{k(k-1)} = F'(k+1) + \frac{f(k)}{k(k-1)}  \]
%     \pause
%     $\Downarrow$
%     \[ F'(k) = F'(n) + \sum_{i=k}^{n-1} \frac{f(i)}{i(i-1)}\]
% \end{frame}

\begin{frame}{Results}

    \centering
    \begin{block}{The Classical Case}
        \centering
        For $c \geq \ln(2)/2$ the classic strategy is optimal.
    \end{block}

    \begin{block}{Threshold Limits: $c<\ln(2)/2$}
        \[ r_2 = e^{\mathcal{W}_0(-c)} \quad \quad r_1 = \sqrt{\frac{r_2^2c}{4r_2^2 - 2r_2 + c}}\]
    \end{block}

\end{frame}

\begin{frame}{Results}

    \begin{columns}[onlytextwidth]
        \begin{column}{0.5\textwidth} 
            \centering
            Limit of the Thresholds
            \includegraphics[width=.95\linewidth]{BOW_THRESHOLD_LIMITS.pdf}
        \end{column}
        \begin{column}{0.5\textwidth}
            \centering
            Limit of the Expected Gain
            \includegraphics[width=.95\linewidth]{BOW_GAIN_LIMIT.pdf}
        \end{column}
    \end{columns}   

\end{frame}


% \begin{frame}
%     \Huge \centering
%     The m-th Best Problem
% \end{frame}


% \begin{frame}{m-th Best}{$n=1000$}

%     \centering
%     \includegraphics{../Images/MTH_BEST_PLOT.pdf}
    
% \end{frame}

\section{Conclusion}

\begin{frame}{Conclusion}
    \centering
    
    \begin{itemize}
        \item We found the optimal strategy for the \textit{Postdoc Problem} in the \textit{reservation-per-item} model
        
        \pause
        
        \item It remains harder to find the second-best than to find the best in the \textit{reservation-per-item} model
    \end{itemize}

    \vspace*{-0.25in}
    \begin{center}
        \includegraphics{SEC_VS_POSTD.pdf}
    \end{center}
\end{frame}

% \begin{frame}{Conclusion}
    
% \end{frame}

\begin{frame}
    \centering
    \Huge{Thanks for your attention!}
\end{frame}

\end{document}